package com.jiayue.ipfcst.console.dto;

import com.jiayue.ipfcst.common.data.entity.OverhaulPlan;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author tl
 * @CreateTime 2021/8/23 15:07
 */
@Data
public class OpGroup {

  private Integer id;
  private String name;
  private String describe;
  private Long startTime;
  private Long endTime;
  private BigDecimal overhaulCapactity;
  private Integer status;
  private Long finalEntryTime;
  private Long mcTime;
  private String stationCode;
  private Date createTime;
  private Date lastModifyTime;
  private List<OverhaulPlan> overhaulPlans;


  public OpGroup(OverhaulPlan overhaulPlan, List<OverhaulPlan> overhaulPlans) {
    this.setId(overhaulPlan.getId());
    this.setName(overhaulPlan.getName());
    this.setDescribe(overhaulPlan.getDescribe());
    this.setStartTime(overhaulPlan.getStartTime());
    this.setEndTime(overhaulPlan.getEndTime());
    this.setOverhaulCapactity(overhaulPlan.getOverhaulCapactity());
    this.setStatus(overhaulPlan.getStatus());
    this.setFinalEntryTime(overhaulPlan.getFinalEntryTime());
    this.setMcTime(overhaulPlan.getMcTime());
    this.setStationCode(overhaulPlan.getStationCode());
    this.setCreateTime(overhaulPlan.getCreateTime());
    this.setLastModifyTime(overhaulPlan.getLastModifyTime());
    this.setOverhaulPlans(overhaulPlans);

  }
}
